# Uses of Class
it.tdlight.jni.TdApi.IdentityDocument

## Uses of TdApi.IdentityDocument in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.IdentityDocument
Modifier and Type
Field
Description
`TdApi.IdentityDocument`
TdApi.PassportElementDriverLicense.`driverLicense`
Driver license.
`TdApi.IdentityDocument`
TdApi.PassportElementIdentityCard.`identityCard`
Identity card.
`TdApi.IdentityDocument`
TdApi.PassportElementInternalPassport.`internalPassport`
Internal passport.
`TdApi.IdentityDocument`
TdApi.PassportElementPassport.`passport`
Passport.
Constructors in it.tdlight.jni with parameters of type TdApi.IdentityDocument
Modifier
Constructor
Description
``
`PassportElementDriverLicense(TdApi.IdentityDocument driverLicense)`
A Telegram Passport element containing the user's driver license.
``
`PassportElementIdentityCard(TdApi.IdentityDocument identityCard)`
A Telegram Passport element containing the user's identity card.
``
`PassportElementInternalPassport(TdApi.IdentityDocument internalPassport)`
A Telegram Passport element containing the user's internal passport.
``
`PassportElementPassport(TdApi.IdentityDocument passport)`
A Telegram Passport element containing the user's passport.